API referenceLogs, drains and alerts
Get an alert rule
One alert rule with its state.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^alr_[a-z0-9]{8,32}$Response Body
application/json
application/json
curl -X GET "https://example.com/v1/alerts/rules/string"{ "object": "alert_rule", "id": "string", "name": "string", "description": "", "enabled": true, "metric": "error_rate", "threshold": 0, "window_s": 60, "min_events": 1, "severity": "info", "scope": {}, "kinds": [], "cooldown_s": 900, "destination_ids": [], "all_destinations": true, "toast": true, "muted_until": null, "is_default": true, "evaluator": "live", "state": { "status": "ok", "last_evaluated_at": "2019-08-24T14:15:22Z", "last_value": 0, "open_alert_id": "string", "note": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Delete an alert rule DELETE
Delete the rule and resolve its open alerts.
List alert rules GET
Every alert rule with its metric, threshold, window, scope, severity, destinations, mute and live state (ok, firing, muted, no_data). New workspaces start with defaults (a vendor key failing, budgets at 80% and 100%, billing mismatches, error-rate and spend spikes, a key on a new IP, failing deliveries, security events).